curl "https://server.smartlead.ai/api/v1/crm/leads/tasks/123?api_key=YOUR_KEY"
{
"ok": true,
"data": [
{
"id": 789,
"lead_id": 123,
"name": "Follow up on enterprise proposal",
"description": "Send pricing breakdown for 50-seat plan",
"priority": "HIGH",
"due_date": "2025-12-15T09:00:00Z",
"status": "pending",
"created_at": "2025-12-01T10:00:00.000Z"
}
]
}
{
"message": "Invalid API Key"
}
Lead Tasks
Get Lead Tasks
Retrieve all tasks for a specific lead
GET
/
api
/
v1
/
crm
/
leads
/
tasks
/
{id}
curl "https://server.smartlead.ai/api/v1/crm/leads/tasks/123?api_key=YOUR_KEY"
{
"ok": true,
"data": [
{
"id": 789,
"lead_id": 123,
"name": "Follow up on enterprise proposal",
"description": "Send pricing breakdown for 50-seat plan",
"priority": "HIGH",
"due_date": "2025-12-15T09:00:00Z",
"status": "pending",
"created_at": "2025-12-01T10:00:00.000Z"
}
]
}
{
"message": "Invalid API Key"
}
Path Parameters
number
required
The lead ID to retrieve tasks for
curl "https://server.smartlead.ai/api/v1/crm/leads/tasks/123?api_key=YOUR_KEY"
Response Codes
Success
Request successful
Bad Request
Invalid request parameters or malformed request body
Unauthorized
Invalid or missing API key
Validation Error
Request validation failed. Check parameter types and constraints.
{
"ok": true,
"data": [
{
"id": 789,
"lead_id": 123,
"name": "Follow up on enterprise proposal",
"description": "Send pricing breakdown for 50-seat plan",
"priority": "HIGH",
"due_date": "2025-12-15T09:00:00Z",
"status": "pending",
"created_at": "2025-12-01T10:00:00.000Z"
}
]
}
{
"message": "Invalid API Key"
}
